Subject: Re: [PATCHv3] git-tag man: when to use lightweight or annotated tags

From: Jonathan Nieder <[email-masked]>
Date: Fri, 26 Jul 2013 12:36:43 -0700

Jeff King wrote:

> --- a/Documentation/git-tag.txt
> +++ b/Documentation/git-tag.txt
> @@ -42,6 +42,17 @@ is used to specify custom GnuPG binary.
>  GnuPG key for signing. 	The configuration variable `gpg.program`
>  is used to specify custom GnuPG binary.
>  
> +Tag objects (created with `-a`, `s`, or `-u`) are called "annotated"
> +tags; they contain a creation date, the tagger name and e-mail, a
> +tagging message, and an optional GnuPG signature. Whereas a
> +"lightweight" tag is simply a name for an object (usually a commit
> +object).
> +
> +Annotated tags are meant for release while lightweight tags are meant
> +for private or temporary object labels. For this reason, some git
> +commands for naming objects (like `git describe`) will ignore
> +lightweight tags by default.

Very readable, and I think this is a good start.

Reviewed-by: Jonathan Nieder <[email-masked]>

Eventually the description section should probably be tweaked to start
by explaining what the command is actually for. ;-)